#import "LotsaView.h"
#import "EffectObject.h"
#import "vector_float.h"

@interface LGLotsaGlassView:LGLotsaView
{
	double t;
	GLuint refltex,refrtex;

	int currmode,nextmode;
	double currtime,nexttime;
	double switchtime;

	LGEffectObject *currobj;

	IBOutlet NSSlider *detail;
	IBOutlet NSSlider *rate;
}

-(id)initWithFrame:(NSRect)frame isPreview:(BOOL)preview;
-(void)dealloc;
-(void)startAnimationWithDefaults:(ScreenSaverDefaults *)defaults;
-(void)stopAnimation;
-(void)animateOneFrame;
-(void)pickNewMode;
-(void)updateConfigWindow:(NSWindow *)window usingDefaults:(ScreenSaverDefaults *)defaults;
-(void)updateDefaults:(ScreenSaverDefaults *)defaults usingConfigWindow:(NSWindow *)window;

@end
