#import <Cocoa/Cocoa.h>



@interface LGSphericalDistortion:NSObject
{
}

-(void)calc:(int)num time:(double)t x:(float *)xarray y:(float *)yarray z:(float *)zarray a:(float *)aarray b:(float *)barray result:(float *)res;
+(LGSphericalDistortion *)distortion;

@end



@interface LGSwallowDistortion:LGSphericalDistortion {}
-(void)calc:(int)num time:(double)t x:(float *)xarray y:(float *)yarray z:(float *)zarray a:(float *)aarray b:(float *)barray result:(float *)res;
@end

@interface LGFreakazoidDistortion:LGSphericalDistortion {}
-(void)calc:(int)num time:(double)t x:(float *)xarray y:(float *)yarray z:(float *)zarray a:(float *)aarray b:(float *)barray result:(float *)res;
@end

@interface LGGlassNibDistortion:LGSphericalDistortion {}
-(void)calc:(int)num time:(double)t x:(float *)xarray y:(float *)yarray z:(float *)zarray a:(float *)aarray b:(float *)barray result:(float *)res;
@end

@interface LGPotteryDistortion:LGSphericalDistortion
{ float v1,v2; }
-(id)init;
-(void)calc:(int)num time:(double)t x:(float *)xarray y:(float *)yarray z:(float *)zarray a:(float *)aarray b:(float *)barray result:(float *)res;
@end

@interface LGTurbineDistortion:LGSphericalDistortion {}
-(void)calc:(int)num time:(double)t x:(float *)xarray y:(float *)yarray z:(float *)zarray a:(float *)aarray b:(float *)barray result:(float *)res;
@end

@interface LGCubesDistortion:LGSphericalDistortion {}
-(void)calc:(int)num time:(double)t x:(float *)xarray y:(float *)yarray z:(float *)zarray a:(float *)aarray b:(float *)barray result:(float *)res;
@end




@interface LGSin3Distortion:LGSphericalDistortion
{ float vx,vy,vz; }
-(id)init;
-(void)calc:(int)num time:(double)t x:(float *)xarray y:(float *)yarray z:(float *)zarray a:(float *)aarray b:(float *)barray result:(float *)res;
@end

@interface LGSin5Distortion:LGSphericalDistortion
{ float vx,vy,vz; }
-(id)init;
-(void)calc:(int)num time:(double)t x:(float *)xarray y:(float *)yarray z:(float *)zarray a:(float *)aarray b:(float *)barray result:(float *)res;
@end


@interface LGSuperQuadricDistortion:LGSphericalDistortion {}
-(void)calc:(int)num time:(double)t x:(float *)xarray y:(float *)yarray z:(float *)zarray a:(float *)aarray b:(float *)barray result:(float *)res;
@end

@interface LGExpPerlinDistortion:LGSphericalDistortion {}
-(void)calc:(int)num time:(double)t x:(float *)xarray y:(float *)yarray z:(float *)zarray a:(float *)aarray b:(float *)barray result:(float *)res;
@end

@interface LGTestDistortion:LGSphericalDistortion {}
-(void)calc:(int)num time:(double)t x:(float *)xarray y:(float *)yarray z:(float *)zarray a:(float *)aarray b:(float *)barray result:(float *)res;
@end
