#import "vector_float.h"



class water_state
{
	public:
	water_state(int max_p,int max_q);
	~water_state();

	int max_p,max_q;
	float *apq,*bpq;
};

class water
{
	public:
	water(int w,int h,float v,float b,float lx,float ly);
	water(int w,int h,int max_p,int max_q,float v,float b,float lx,float ly);
	~water();

	void init(int w,int h,int max_p,int max_q,float v,float b,float lx,float ly);

	void calculate(float t);
	void add_state(water_state &other,float t);

	int w,h,max_p,max_q;

	float v,b,lx,ly;

	float t0;

	water_state state;
	float *wpq;
	float *apq,*bpq;
	float *ampl;
	float *sin_px,*sin_qy;
	float *cos_px,*cos_qy;
	float *z;
	vector *n;
};

class random_state:public water_state
{
	public:
	random_state(water &water);
};

class drip_state:public water_state
{
	public:
	drip_state(float x0,float y0,float a,float ampl,water &water);
};

