#import <Cocoa/Cocoa.h>
#import <OpenGL/glu.h>
#import "vector_float.h"



@interface LGEffectObject:NSObject
{
}

-(void)drawAtTime:(double)t matrix:(matrix)m firstMode:(int)mode1 secondMode:(int)mode2 fade:(float)fade;
-(int)modes;

@end



@interface LGTriangleStripObject:LGEffectObject
{
	int num_vertices,num_strips;

	struct vertex
	{
		vector v;
		uint8 r,g,b,a;
		vector n;
		float pad1;
		vector tex;
		float pad2;
	} *vertices;

	int *strips;
}

-(id)initWithVertices:(int)nvertices andStrips:(int)nstrips ofSize:(int)stripsum;
-(void)dealloc;
-(void)drawStrips;

@end
