#import <Cocoa/Cocoa.h>
#import "EffectObject.h"
#import "SphericalDistortion.h"



@interface LGSphericalObject:LGTriangleStripObject
{
	float *xarray,*yarray,*zarray,*aarray,*barray;
	float *radii,*otherradii;

	NSArray *distortions;
	LGSphericalDistortion *currdistortion;
}

-(id)initWithVertices:(int)nvertices andStrips:(int)nstrips ofSize:(int)stripsum;
-(void)dealloc;
-(void)drawAtTime:(double)t matrix:(matrix)m firstMode:(int)mode1 secondMode:(int)mode2 fade:(float)fade;
-(void)calcFade:(float)fade;
-(void)setDistortions:(NSArray *)distarray;
-(int)modes;

@end



@interface LGSlicedObject:LGSphericalObject
{
}

-(id)initWithDetailLevel:(int)level;

@end
