#ifndef _GOA_NOISE_H_
#define _GOA_NOISE_H_

double noise1(double arg);
double noise2(double vec[2]);
double noise3(double vec[3]);
double noise4(double vec[4]);

void init_perlin();

/* --- My harmonic summing functions - PDB --------------------------*/

/*
   In what follows "alpha" is the weight when the sum is formed.
   Typically it is 2, As this approaches 1 the function is noisier.
   "beta" is the harmonic scaling/spacing, typically 2.
*/

double perlin_noise_1d(double x,double alpha,double beta,int n);
double perlin_noise_2d(double x,double y,double alpha,double beta,int n);
double perlin_noise_3d(double x,double y,double z,double alpha,double beta,int n);
double perlin_noise_4d(double x,double y,double z,double t,double alpha,double beta,int n);

#endif
